import * as ExternalMasterDataApi from "../definitions/MasterData/ExternalMasterDataApi";
import { OposGkApi } from "../definitions/OposGkApi";
import { ApiResponse } from "../definitions/ApiResponse";
export declare const apiPrefix = "comGkSoftwareGkrAppEnablementApi.ExternalMasterdata/";
export declare class OPosExternalMasterDataApi extends OposGkApi implements ExternalMasterDataApi.IExternalMasterDataApi {
    constructor(invokeOposMethod: (data: any) => void);
    getItemByCriteria(appCallback: ApiResponse<ExternalMasterDataApi.MasterDataApiDTO.ILineItem>, data: ExternalMasterDataApi.MasterDataApiDTO.IExternalItemDataID): void;
    getItemListBySearchCriteria(appCallback: ApiResponse<ExternalMasterDataApi.MasterDataApiDTO.ILineItemList>, data: ExternalMasterDataApi.MasterDataApiDTO.IExternalItemDataList): void;
    getImageUrl(appCallback: ApiResponse<string>, data: ExternalMasterDataApi.MasterDataApiDTO.IExternalItemImgUrl): void;
}
