import * as MasterDataApi from "../definitions/MasterData/MasterDataApi";
import { OposGkApi } from "../definitions/OposGkApi";
import { IOPosInvoke } from "../definitions/IOPosInvoke";
import { ApiResponse } from "../definitions/ApiResponse";
export declare const apiPrefix = "comGkSoftwareGkrAppEnablementApi.Masterdata/";
export declare class OPosMasterDataApi extends OposGkApi implements MasterDataApi.IMasterDataApi {
    constructor(invokeOposMethod: (data: IOPosInvoke) => void);
    getItemDataByID(appCallback: ApiResponse<MasterDataApi.MasterDataApiDTO.ILineItem>, data: MasterDataApi.MasterDataApiDTO.IItemDataID): void;
    getItemDataListByIDList(appCallback: ApiResponse<MasterDataApi.MasterDataApiDTO.ILineItemList>, data: MasterDataApi.MasterDataApiDTO.IItemDataList): void;
    getImageUrl(appCallback: ApiResponse<string>, data: MasterDataApi.MasterDataApiDTO.IItemImgUrl): void;
}
